Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.conf
Class CallbackOptions

    java.lang.Object
      org.apache.openjpa.conf.CallbackOptions

All Implemented Interfaces:
  Serializable

    public class CallbackOptions

extends Object
implements Serializable

Configurable options for callbacks.

Author:
  Pinaki Poddar
See Also:
  Serialized Form

Constructor Summary
`CallbackOptions()`

Method Summary
`boolean` | `getAllowsDuplicateListener()` Flags if duplicate listeners are allowed to handle the same callback event.
`boolean` | `getAllowsMultipleMethodsForSameCallback()` Flags if multiple methods of the same class can handle the same callback event.
`boolean` | `getPostPersistCallbackImmediate()` Affirms if the post-persist callback is invoked as soon as a new instance is managed.
`void` | `setAllowsDuplicateListener(boolean flag)` Flags if duplicate listeners are allowed to handle the same callback event.
`void` | `setAllowsMultipleMethodsForSameCallback(boolean flag)` Flags if multiple methods of the same class can handle the same callback event.
`void` | `setPostPersistCallbackImmediate(boolean flag)` Sets if the post-persist callback is invoked as soon as a new instance is managed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CallbackOptions

    public CallbackOptions()

Method Detail

### getPostPersistCallbackImmediate

    public boolean getPostPersistCallbackImmediate()

  Affirms if the post-persist callback is invoked as soon as a new instance is managed. The default is false, implies that the post-persist callback is invoked after the instance been committed or flushed to the datastore. Defaults to false.

### setPostPersistCallbackImmediate

    public void setPostPersistCallbackImmediate(boolean flag)

  Sets if the post-persist callback is invoked as soon as a new instance is managed. The default is false, implies that the post-persist callback is invoked after the instance been committed or flushed to the datastore.

### getAllowsMultipleMethodsForSameCallback

    public boolean getAllowsMultipleMethodsForSameCallback()

  Flags if multiple methods of the same class can handle the same callback event. Defaults to false.

### setAllowsMultipleMethodsForSameCallback

    public void setAllowsMultipleMethodsForSameCallback(boolean flag)

  Flags if multiple methods of the same class can handle the same callback event.

### getAllowsDuplicateListener

    public boolean getAllowsDuplicateListener()

  Flags if duplicate listeners are allowed to handle the same callback event. Defaults to true.

### setAllowsDuplicateListener

    public void setAllowsDuplicateListener(boolean flag)

  Flags if duplicate listeners are allowed to handle the same callback event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.